ModifiedSelector.CacheName (Apache Ant API)
Keywords: org.apache.tools.ant.types.selectors.modifiedselector.ModifiedSelector.CacheName class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.selectors.modifiedselector
Class ModifiedSelector.CacheName

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.types.selectors.modifiedselector.ModifiedSelector.CacheName

Enclosing class:
  ModifiedSelector

    public static class ModifiedSelector.CacheName

extends EnumeratedAttribute

The enumerated type for cache. The values are "propertyfile".

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`ModifiedSelector.CacheName()`

Method Summary
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModifiedSelector.CacheName

    public ModifiedSelector.CacheName()

Method Detail

### getValues

    public java.lang.String[] getValues()

  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
  See Also:
    `EnumeratedAttribute.getValues()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD